#include "utilities.h"

GXTexObj texObj;
int p_oldInputValue;
int p_inputValue;

void utilities_texturesInit() {
	TPLFile spriteTPL;
	TPL_OpenTPLFromMemory(&spriteTPL, (void *)textures_tpl,textures_tpl_size);
	TPL_GetTexture(&spriteTPL,groundhog,&texObj);

	GX_LoadTexObj(&texObj, GX_TEXMAP0);
}

void utilities_inputRead() {
	PAD_ScanPads();
	p_oldInputValue = p_inputValue;
	p_inputValue = PAD_ButtonsDown(0);
}

int utilities_inputIsTapped( int which ) {
	int wasDownLastFrame = p_oldInputValue & which;
	int isDownThisFrame = p_inputValue & which;
	
	return isDownThisFrame && !wasDownLastFrame;
}

void utilities_inputInit() {
	PAD_Init();
	utilities_inputRead();
	utilities_inputRead();
}
